## texlive-base 2019.20190710

=== texmf-dist/doc/generic/pgf/version-for-dvisvgm/en/Makefile ===
rerun = "(There were undefined references|Rerun to get (cross-references|the bars) right)"
doc   = pgfmanual
latex = lualatex --output-format=dvi
TEXINPUTS := ../../text-en:$(TEXINPUTS)

all: $(doc).svg

test: pgfmanual-test.svg

test-no-fonts: pgfmanual-test-no-font.svg

pgfmanual.idx: 
	touch pgfmanual.idx

pgfmanual.ind: pgfmanual.idx 
	makeindex $(doc).idx

pgfmanual.dvi: $(doc).tex $(doc).ind revisionfile
	TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc).tex
	(egrep -q $(rerun) $(doc).log && TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc).tex) || true
	(egrep -q $(rerun) $(doc).log && TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc).tex) || true

pgfmanual.svg: $(doc).dvi
	dvisvgm --font-format=woff --no-merge --output=%f-%4p.svg --page=1- --bbox=a4 --linkmark=none $(doc)

pgfmanual-no-font.svg: $(doc).dvi
	dvisvgm --no-fonts --output=%f-%4p.svg --page=1- --bbox=a4 --linkmark=none $(doc)

pgfmanual-test.dvi: $(doc)-test.tex $(doc).ind revisionfile
	TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc)-test.tex

pgfmanual-test.svg: $(doc)-test.dvi
	dvisvgm --no-merge --output=%f-%4p.svg --page=1- --bbox=a4 --linkmark=none $(doc)-test

pgfmanual-test-merged.svg: $(doc)-test.dvi
	dvisvgm --output=%f-%4p.svg --page=1- --bbox=a4 --linkmark=none $(doc)-test

pgfmanual-test-no-font.svg: $(doc)-test.dvi
	dvisvgm --no-fonts --output=%f-%4p.svg --page=1- --bbox=a4 --linkmark=none $(doc)-test

revisionfile:
	cd ../../../../.. && ./scripts/pgf/pgfrevisionfile.sh

clean:
	rm -f  \
		plots/* \
		pgfmanual.out \
		pgfmanual.log \
		pgfmanual.idx \
		pgfmanual.ind \
		pgfmanual.ilg \
		pgfmanual.pdf \
		pgfmanual.toc \
		pgfmanual.bbl \
		pgfmanual.blg \
		pgfmanual.ps \
		pgfmanual.dvi \
		pgfmanual*.aux

=== debian/changelog ===
texlive-base (2019.20190710-1) unstable; urgency=medium

  * New upstream checkout
  * texlive-base suggests xpdf instead of xpdf-reader.

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Jul 2019 10:09:51 +0900

texlive-base (2019.20190605-1) experimental; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Wed, 05 Jun 2019 12:18:27 +0900

texlive-base (2019.20190508-1) experimental; urgency=medium

  * New upstream checkout
  * fix more file moves

 -- Norbert Preining <norbert@preining.info>  Wed, 08 May 2019 15:32:11 +0900

texlive-base (2019.20190507-1) experimental; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Tue, 07 May 2019 14:41:01 +0900

texlive-base (2019.20190506-1) experimental; urgency=medium

  * first post TL 2019 checkout

 -- Norbert Preining <norbert@preining.info>  Mon, 06 May 2019 09:28:41 +0900

texlive-base (2019.20190409-1) experimental; urgency=medium

  * TeX Live 2019 checkout
  * Updated debconf PO Catalan translation (Closes: #876473).

 -- Norbert Preining <norbert@preining.info>  Tue, 09 Apr 2019 10:33:48 +0900

texlive-base (2019.20190311-1) experimental; urgency=medium

  * first 2019 pre-release

 -- Norbert Preining <norbert@preining.info>  Mon, 11 Mar 2019 17:38:51 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6), texlive-binaries (>= 2019.20190605), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2019.20190605), texlive-base (<< 2019.20190605), texlive-bibtex-extra (<< 2019.20190605), texlive-binaries (<< 2019.20190605), texlive-extra-utils (<< 2019.20190605), texlive-font-utils (<< 2019.20190605), texlive-fonts-extra (<< 2019.20190605), texlive-fonts-extra-doc (<< 2019.20190605), texlive-fonts-extra-links (<< 2019.20190605), texlive-fonts-recommended (<< 2019.20190605), texlive-fonts-recommended-doc (<< 2019.20190605), texlive-formats-extra (<< 2019.20190605), texlive-full (<< 2019.20190605), texlive-games (<< 2019.20190605), texlive-humanities (<< 2019.20190605), texlive-humanities-doc (<< 2019.20190605), texlive-lang-all (<< 2019.20190605), texlive-lang-arabic (<< 2019.20190605), texlive-lang-chinese (<< 2019.20190605), texlive-lang-cjk (<< 2019.20190605), texlive-lang-cyrillic (<< 2019.20190605), texlive-lang-czechslovak (<< 2019.20190605), texlive-lang-english (<< 2019.20190605), texlive-lang-european (<< 2019.20190605), texlive-lang-french (<< 2019.20190605), texlive-lang-german (<< 2019.20190605), texlive-lang-greek (<< 2019.20190605), texlive-lang-italian (<< 2019.20190605), texlive-lang-japanese (<< 2019.20190605), texlive-lang-korean (<< 2019.20190605), texlive-lang-other (<< 2019.20190605), texlive-lang-polish (<< 2019.20190605), texlive-lang-portuguese (<< 2019.20190605), texlive-lang-spanish (<< 2019.20190605), texlive-latex-base (<< 2019.20190605), texlive-latex-base-doc (<< 2019.20190605), texlive-latex-extra (<< 2019.20190605), texlive-latex-extra-doc (<< 2019.20190605), texlive-latex-recommended (<< 2019.20190605), texlive-latex-recommended-doc (<< 2019.20190605), texlive-luatex (<< 2019.20190605), texlive-metapost (<< 2019.20190605), texlive-metapost-doc (<< 2019.20190605), texlive-music (<< 2019.20190605), texlive-pictures (<< 2019.20190605), texlive-pictures-doc (<< 2019.20190605), texlive-plain-generic (<< 2019.20190605), texlive-pstricks (<< 2019.20190605), texlive-pstricks-doc (<< 2019.20190605), texlive-publishers (<< 2019.20190605), texlive-publishers-doc (<< 2019.20190605), texlive-science (<< 2019.20190605), texlive-science-doc (<< 2019.20190605), texlive-xetex (<< 2019.20190605)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 gsftopk -- Convert "Ghostscript fonts" to PK files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifluatex -- Provides the \ifluatex switch
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 ifxetex -- Am I running under XeTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tetex -- scripts and files originally from teTeX
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 updmap-map -- auto-generated font map files
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2019.20190605), texlive-base (>= 2019.20190605), texlive-binaries (>= 2019.20190605)
Suggests: texlive-latex-base-doc
Breaks: texlive-base (<< 2019.20190605)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 tools -- The LaTeX standard tools bundle
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2019.20190605), texlive-binaries (>= 2019.20190605), texlive-latex-base (>= 2019.20190605)
Suggests: texlive-latex-recommended-doc, texlive-pstricks
Replaces: texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2019.20190605), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .
 beamer -- A LaTeX class for producing presentations and slides
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations
 .
 caption -- Customising captions in floating environments
 .
 cite -- Improved citation handling in LaTeX
 .
 cmap -- Make PDF files searchable and copyable
 .
 crop -- Support for cropmarks
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
 directives
 .
 eso-pic -- Add picture commands (or backgrounds) to every page
 .
 euenc -- Unicode font encoding definitions for XeTeX
 .
 euler -- Use AMS Euler fonts for math
 .
 etoolbox -- e-TeX tools for LaTeX
 .
 extsizes -- Extend the standard classes' size options
 .
 fancybox -- Variants of \fbox and other games with boxes
 .
 fancyref -- A LaTeX package for fancy cross-referencing
 .
 fancyvrb -- Sophisticated verbatim text
 .
 filehook -- Hooks for input files
 .
 float -- Improved interface for floating objects
 .
 fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX
 .
 footnotehyper -- hyperref aware footnote.sty
 .
 fp -- Fixed point arithmetic
 .
 index -- Extended index for LaTeX including multiple indexes
 .
 jknapltx -- Miscellaneous packages by Joerg Knappen
 .
 koma-script -- A bundle of versatile classes and packages
 .
 latexbug -- Bug-classification for LaTeX related bugs
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3experimental -- Experimental LaTeX3 concepts
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 lineno -- Line numbers on paragraphs
 .
 listings -- Typeset source code listings using LaTeX
 .
 lwarp -- Converts LaTeX to HTML
 .
 mathspec -- Specify arbitrary fonts for mathematics in XeTeX
 .
 mathtools -- Mathematical tools to use with amsmath
 .
 mdwtools -- Miscellaneous tools by Mark Wooding
 .
 memoir -- Typeset fiction, non-fiction and mathematical books
 .
 metalogo -- Extended TeX logo macros
 .
 microtype -- Subliminal refinements towards typographical perfection
 .
 ms -- Various LaTeX packages by Martin Schroder
 .
 ntgclass -- "European" versions of standard classes
 .
 parskip -- Layout with zero \parindent, non-zero \parskip
 .
 pdfpages -- Include PDF documents in LaTeX
 .
 polyglossia -- An alternative to babel for XeLaTeX and LuaLaTeX
 .
 powerdot -- A presentation class
 .
 psfrag -- Replace strings in encapsulated PostScript figures
 .
 rcs -- Use RCS (revision control system) tags in LaTeX documents
 .
 sansmath -- Maths in a sans font
 .
 section -- Modifying section commands in LaTeX
 .
 seminar -- Make overhead slides
 .
 sepnum -- Print numbers in a "friendly" format
 .
 setspace -- Set space between lines
 .
 subfig -- Figures broken into subfigures
 .
 textcase -- Case conversion ignoring mathematics, etc
 .
 thumbpdf -- Thumbnails for pdfTeX and dvips/ps2pdf
 .
 translator -- Easy translation of strings in LaTeX
 .
 typehtml -- Typeset HTML directly from LaTeX
 .

## texlive-base 2019.20191208

=== debian/changelog ===
texlive-base (2019.20191208-4ubuntu1) focal; urgency=medium

  * texlive-pictures: Depend on python2 instead of python.
  * Build using dh_python2 to rewrite the python shebangs.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2020 12:24:23 +0100

texlive-base (2019.20191208-4) unstable; urgency=medium

  * Fix wrong version numbers

 -- Norbert Preining <norbert@preining.info>  Mon, 09 Dec 2019 08:15:54 +0900

texlive-base (2019.20191208-3) unstable; urgency=medium

  * more file moves (Closes: #946431, #946430)

 -- Norbert Preining <norbert@preining.info>  Mon, 09 Dec 2019 08:00:56 +0900

texlive-base (2019.20191208-2) unstable; urgency=medium

  * various file move fixes (Closes: #946428, #946429)

 -- Norbert Preining <norbert@preining.info>  Mon, 09 Dec 2019 07:23:09 +0900

texlive-base (2019.20191208-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Sun, 08 Dec 2019 11:25:06 +0900

texlive-base (2019.20191112-1) unstable; urgency=medium

  * New upstream checkout
    - LaTeX2e patch level 3 - fixes to multiple dots and spaces in
      filenames (Closes: #944400)

 -- Norbert Preining <norbert@preining.info>  Tue, 12 Nov 2019 13:30:49 +0900

texlive-base (2019.20191030-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Wed, 30 Oct 2019 11:36:17 +0900

texlive-base (2019.20190930-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 09:59:42 +0900

texlive-base (2019.20190830-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Fri, 30 Aug 2019 10:33:01 +0900

texlive-base (2019.20190824-1) unstable; urgency=medium

  * new upstream checkout
    - move powerdot to texlive-latex-extra (Closes: #521201)
  * texlive-latex-recommended suggests texlive-luatex.
    (Closes: #877860).
  * texlive-base suggests xzdec. Can be used by tlmgr.
    (Closes: #891968)

 -- Norbert Preining <norbert@preining.info>  Sat, 24 Aug 2019 15:16:28 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism, dh-python
Build-Depends-Indep: sharutils, tex-common (>= 6.13), findutils (>=4.2.0)
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6), texlive-binaries (>= 2019.20190605), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2019.20191112), texlive-base (<< 2019.20191112), texlive-bibtex-extra (<< 2019.20191112), texlive-binaries (<< 2019.20190605), texlive-extra-utils (<< 2019.20191112), texlive-font-utils (<< 2019.20191112), texlive-fonts-extra (<< 2019.20191112), texlive-fonts-extra-doc (<< 2019.20191112), texlive-fonts-extra-links (<< 2019.20191112), texlive-fonts-recommended (<< 2019.20191112), texlive-fonts-recommended-doc (<< 2019.20191112), texlive-formats-extra (<< 2019.20191112), texlive-full (<< 2019.20191112), texlive-games (<< 2019.20191112), texlive-humanities (<< 2019.20191112), texlive-humanities-doc (<< 2019.20191112), texlive-lang-all (<< 2019.20191112), texlive-lang-arabic (<< 2019.20191112), texlive-lang-chinese (<< 2019.20191112), texlive-lang-cjk (<< 2019.20191112), texlive-lang-cyrillic (<< 2019.20191112), texlive-lang-czechslovak (<< 2019.20191112), texlive-lang-english (<< 2019.20191112), texlive-lang-european (<< 2019.20191112), texlive-lang-french (<< 2019.20191112), texlive-lang-german (<< 2019.20191112), texlive-lang-greek (<< 2019.20191112), texlive-lang-italian (<< 2019.20191112), texlive-lang-japanese (<< 2019.20191112), texlive-lang-korean (<< 2019.20191112), texlive-lang-other (<< 2019.20191112), texlive-lang-polish (<< 2019.20191112), texlive-lang-portuguese (<< 2019.20191112), texlive-lang-spanish (<< 2019.20191112), texlive-latex-base (<< 2019.20191112), texlive-latex-base-doc (<< 2019.20191112), texlive-latex-extra (<< 2019.20191112), texlive-latex-extra-doc (<< 2019.20191112), texlive-latex-recommended (<< 2019.20191112), texlive-latex-recommended-doc (<< 2019.20191112), texlive-luatex (<< 2019.20191112), texlive-metapost (<< 2019.20191112), texlive-metapost-doc (<< 2019.20191112), texlive-music (<< 2019.20191112), texlive-pictures (<< 2019.20191112), texlive-pictures-doc (<< 2019.20191112), texlive-plain-generic (<< 2019.20191112), texlive-pstricks (<< 2019.20191112), texlive-pstricks-doc (<< 2019.20191112), texlive-publishers (<< 2019.20191112), texlive-publishers-doc (<< 2019.20191112), texlive-science (<< 2019.20191112), texlive-science-doc (<< 2019.20191112), texlive-xetex (<< 2019.20191112)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 gsftopk -- Convert "Ghostscript fonts" to PK files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tetex -- scripts and files originally from teTeX
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 updmap-map -- auto-generated font map files
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2019.20191112), texlive-base (>= 2019.20191112), texlive-binaries (>= 2019.20190605)
Suggests: texlive-latex-base-doc
Breaks: texlive-base (<< 2019.20191112), texlive-latex-extra (<< 2019.20191203), texlive-latex-recommended (<< 2019.20191208)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 kvoptions -- Key value format for package options
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 tools -- The LaTeX standard tools bundle
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2019.20191112), texlive-binaries (>= 2019.20190605), texlive-latex-base (>= 2019.20191112)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2019.20191112), texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use, and the release candidate formats latex-dev, etc.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .
 attachfile2 -- Attach files into PDF
 .
 beamer -- A LaTeX class for producing presentations and slides
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations
 .
 caption -- Customising captions in floating environments
 .
 cite -- Improved citation handling in LaTeX
 .
 cmap -- Make PDF files searchable and copyable
 .
 crop -- Support for cropmarks
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
 directives
 .
 eso-pic -- Add picture commands (or backgrounds) to every page
 .
 euenc -- Unicode font encoding definitions for XeTeX
 .
 euler -- Use AMS Euler fonts for math
 .
 etoolbox -- e-TeX tools for LaTeX
 .
 extsizes -- Extend the standard classes' size options
 .
 fancybox -- Variants of \fbox and other games with boxes
 .
 fancyref -- A LaTeX package for fancy cross-referencing
 .
 fancyvrb -- Sophisticated verbatim text
 .
 filehook -- Hooks for input files
 .
 float -- Improved interface for floating objects
 .
 fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX
 .
 footnotehyper -- hyperref aware footnote.sty
 .
 fp -- Fixed point arithmetic
 .
 grffile -- Extended file name support for graphics (legacy package)
 .
 hologo -- A collection of logos with bookmark support
 .
 index -- Extended index for LaTeX including multiple indexes
 .
 infwarerr -- Complete set of information/warning/error message macros
 .
 jknapltx -- Miscellaneous packages by Joerg Knappen
 .
 koma-script -- A bundle of versatile classes and packages
 .
 latexbug -- Bug-classification for LaTeX related bugs
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3experimental -- Experimental LaTeX3 concepts
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 lineno -- Line numbers on paragraphs
 .
 listings -- Typeset source code listings using LaTeX
 .
 lwarp -- Converts LaTeX to HTML
 .
 mathspec -- Specify arbitrary fonts for mathematics in XeTeX
 .
 mathtools -- Mathematical tools to use with amsmath
 .
 mdwtools -- Miscellaneous tools by Mark Wooding
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	rm -f debian/texlive-base.cnf


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/useless-fix-perl-shebang-for-policy $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	mkdir -p debian/texlive-base/usr/share/applications
	install debian/texdoctk.desktop debian/texlive-base/usr/share/applications
	# install texdoc data cache
	mkdir -p debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/
	install debian/Data.tlpdb.lua debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/Data.tlpdb.lua



	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A 		\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --flavor=tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info

	dh_installmime
	dh_lintian
	dh_link
	dh_strip_nondeterminism
	dh_python2
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

## texlive-base 2019.20200210

=== debian/changelog ===
texlive-base (2019.20200210-1) unstable; urgency=medium

  * New upstream checkout
  * Drop Python2 packages and relations

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Feb 2020 10:17:32 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper (>= 9), dh-strip-nondeterminism, dh-python
+Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6.13), findutils (>=4.2.0)
 Standards-Version: 4.2.1
 Homepage: http://www.tug.org/texlive/
@@ -19,7 +19,7 @@
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
 Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
-Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
+Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2019.20200131), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
 Description: TeX Live: Essential programs and files
  These files are regarded as basic for any TeX system, covering plain TeX 
  macros, Computer Modern fonts, and configuration for common drivers; no 
@@ -81,12 +81,12 @@
  .
  mfware -- Supporting tools for use with Metafont
  .
+ modes -- A collection of Metafont mode_def's
+ .
  pdftex -- A TeX extension for direct creation of PDF
  .
  plain -- The Plain TeX format
  .
- tetex -- scripts and files originally from teTeX
- .
  tex -- A sophisticated typesetting engine
  .
  tex-ini-files -- Model TeX format creation files
@@ -96,6 +96,11 @@
  texlive-docindex -- top-level TeX Live doc.html, etc.
  .
  texlive-en -- TeX Live manual (English)
+ .
+ texlive-msg-translations -- translations of the TeX Live installer and TeX
+ Live Manager
+ .
+ texlive-scripts -- TeX Live infrastructure programs
  .
  unicode-data -- Unicode data and loaders for TeX
  .
@@ -112,7 +117,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2019.20191112), texlive-base (>= 2019.20191112), texlive-binaries (>= 2019.20190605)
 Suggests: texlive-latex-base-doc
-Breaks: texlive-base (<< 2019.20191112), texlive-latex-extra (<< 2019.20191203), texlive-latex-recommended (<< 2019.20191208)
+Replaces: texlive-latex-recommended (<< 2019.20200205)
+Breaks: texlive-base (<< 2019.20191112), texlive-latex-extra (<< 2019.20191203), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205)
 Description: TeX Live: LaTeX fundamental packages
  These packages are either mandated by the core LaTeX team, or very widely 
  used and strongly recommended in practice.
@@ -129,12 +135,16 @@
  .
  atveryend -- Hooks at the very end of a document
  .
+ auxhook -- Hooks for auxiliary files
+ .
  babel -- Multilingual support for Plain TeX or LaTeX
  .
  babel-english -- Babel support for English
  .
  babelbib -- Multilingual bibliographies
  .
+ bigintcalc -- Integer calculations on very large numbers
+ .
  bookmark -- A new bookmark (outline) organization for hyperref
  .
  carlisle -- David Carlisle's small packages
@@ -143,22 +153,38 @@
  .
  epstopdf-pkg -- Call epstopdf "on the fly"
  .
+ etexcmds -- Avoid name clashes with e-TeX commands
+ .
  fancyhdr -- Extensive control of page headers and footers in LaTeX2e
  .
  fix2col -- Fix miscellaneous two column mode features
  .
  geometry -- Flexible and complete interface to document dimensions
  .
+ gettitlestring -- Clean up title references
+ .
  graphics -- The LaTeX standard graphics bundle
  .
  graphics-cfg -- Sample configuration files for LaTeX color and graphics
  .
  grfext -- Manipulate the graphics package's list of extensions
  .
+ hycolor -- Implements colour for packages hyperref and bookmark
+ .
  hyperref -- Extensive support for hypertext in LaTeX
  .
+ intcalc -- Expandable arithmetic operations with integers
+ .
+ kvdefinekeys -- Define keys for use in the kvsetkeys package
+ .
  kvoptions -- Key value format for package options
  .
+ kvsetkeys -- Key value parser with default handler support
+ .
+ l3backend -- LaTeX3 backend drivers
+ .
+ l3kernel -- LaTeX3 programming conventions
+ .
  latex -- A TeX macro package that defines LaTeX
  .
  latex-bin -- LaTeX executables and man pages
@@ -167,6 +193,8 @@
  .
  latexconfig -- configuration files for LaTeX-related formats
  .
+ ltxcmds -- Some LaTeX kernel commands for general use
+ .
  ltxmisc -- Miscellaneous LaTeX packages, etc
  .
  mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
@@ -183,9 +211,13 @@
  .
  pspicture -- PostScript picture support
  .
+ refcount -- Counter operations with label references
+ .
  rerunfilecheck -- Checksum based rerun checks on auxiliary files
  .
  tools -- The LaTeX standard tools bundle
+ .
+ uniquecounter -- Provides unlimited unique counter
  .
  url -- Verbatim with URL-sensitive line breaks
 
@@ -195,7 +227,7 @@
 Depends: ${misc:Depends}, texlive-base (>= 2019.20191112), texlive-binaries (>= 2019.20190605), texlive-latex-base (>= 2019.20191112)
 Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
 Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
-Breaks: texlive-base (<< 2019.20191112), texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
+Breaks: texlive-base (<< 2019.20191112), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
 Description: TeX Live: LaTeX recommended packages
  A collection of recommended add-on packages for LaTeX which have widespread 
  use, and the release candidate formats latex-dev, etc.
@@ -208,6 +240,8 @@
  .
  beamer -- A LaTeX class for producing presentations and slides
  .
+ bitset -- Handle bit-vector datatype
+ .
  booktabs -- Publication quality tables in LaTeX
  .
  breqn -- Automatic line breaking of displayed equations
@@ -243,43 +277,3 @@
  .
  float -- Improved interface for floating objects
  .
- fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX
- .
- footnotehyper -- hyperref aware footnote.sty
- .
- fp -- Fixed point arithmetic
- .
- grffile -- Extended file name support for graphics (legacy package)
- .
- hologo -- A collection of logos with bookmark support
- .
- index -- Extended index for LaTeX including multiple indexes
- .
- infwarerr -- Complete set of information/warning/error message macros
- .
- jknapltx -- Miscellaneous packages by Joerg Knappen
- .
- koma-script -- A bundle of versatile classes and packages
- .
- latexbug -- Bug-classification for LaTeX related bugs
- .
- l3backend -- LaTeX3 backend drivers
- .
- l3experimental -- Experimental LaTeX3 concepts
- .
- l3kernel -- LaTeX3 programming conventions
- .
- l3packages -- High-level LaTeX3 concepts
- .
- lineno -- Line numbers on paragraphs
- .
- listings -- Typeset source code listings using LaTeX
- .
- lwarp -- Converts LaTeX to HTML
- .
- mathspec -- Specify arbitrary fonts for mathematics in XeTeX
- .
- mathtools -- Mathematical tools to use with amsmath
- .
- mdwtools -- Miscellaneous tools by Mark Wooding
- .
